QuickFIX: FIX::LocalTimeStamp Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::LocalTimeStamp Class Reference
[User]

Date and Time represented in local time. More...

`#include <FieldTypes.h>`

Inheritance diagram for FIX::LocalTimeStamp:
[legend]
Collaboration diagram for FIX::LocalTimeStamp:
[legend]

List of all members.

## Public Member Functions
| LocalTimeStamp ()
| Defaults to the current date and time.
| LocalTimeStamp (int hour, int minute, int second, int millisecond=0)
| Defaults to the current date.
| LocalTimeStamp (int hour, int minute, int second, int date, int month, int year)
| LocalTimeStamp (int hour, int minute, int second, int millisecond, int date, int month, int year)
| LocalTimeStamp (time_t time, int millisecond=0)
| LocalTimeStamp (const tm *time, int millisecond=0)
void | setCurrent ()

## Detailed Description

Date and Time represented in local time.

Definition at line 434 of file FieldTypes.h.

## Constructor & Destructor Documentation

FIX::LocalTimeStamp::LocalTimeStamp | ( |  | ) | `[inline]`

Defaults to the current date and time.

Definition at line 438 of file FieldTypes.h.

    00439   : DateTime( DateTime::nowLocal() ) {}

FIX::LocalTimeStamp::LocalTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Defaults to the current date.

Definition at line 442 of file FieldTypes.h.

References FIX::DateTime::setHMS().

    00443   : DateTime( DateTime::nowLocal() )
    00444   {
    00445     setHMS( hour, minute, second, millisecond );
    00446   }

FIX::LocalTimeStamp::LocalTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 448 of file FieldTypes.h.

    00450   : DateTime( year, month, date, hour, minute, second, 0 ) {}

FIX::LocalTimeStamp::LocalTimeStamp | ( | int | hour,
|  | int | minute,
|  | int | second,
|  | int | millisecond,
|  | int | date,
|  | int | month,
|  | int | year |
| ) |  |  | `[inline]`

Definition at line 452 of file FieldTypes.h.

    00454   : DateTime( year, month, date, hour, minute, second, millisecond ) {}

FIX::LocalTimeStamp::LocalTimeStamp | ( | time_t | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline, explicit]`

Definition at line 456 of file FieldTypes.h.

    00457   : DateTime( fromLocalTimeT (time, millisecond) ) {}

FIX::LocalTimeStamp::LocalTimeStamp | ( | const tm * | time,
|  | int | millisecond = `0` |
| ) |  |  | `[inline]`

Definition at line 459 of file FieldTypes.h.

    00460   : DateTime( fromTm (*time, millisecond) ) {}

## Member Function Documentation

void FIX::LocalTimeStamp::setCurrent | ( |  | ) | `[inline]`

Definition at line 462 of file FieldTypes.h.

References FIX::DateTime::nowLocal().

    00463   {
    00464     set( DateTime::nowLocal() );
    00465   }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/FieldTypes.h